<?
include_once ("base/formElemento.class.php");


class form extends formElemento{

	var $textodireita;
  
    function form($id, $dados, $req){
    	$sys_data = (empty($dados['sys_data']) || ($dados['sys_data'] == "0000-00-00")) ? date("Y-m-d"): $dados['sys_data'];
		$sys_hora = (empty($dados['sys_hora']) || ($dados['sys_hora'] == "00:00:00")) ?  date("H:i"): $dados['sys_hora'];
		
	  	$this->textodireita = "em ". $sys_data ." ".$sys_hora. " por " .$dados['sys_autor'];
      	$this->id=$id;
	  	$this->tipo=$req['tipo'];
      	$this->idCat=$req['idCat'];
      	$this->dados=$dados;
      	$this->req=$req;
      	$this->inicio();
      //$this->registo();
    }
    
    function mostra($botao="Guardar"){
        $this->botoesFim($botao);
        $this->fim();
    }
    
    function toolbars($botao="Guardar", $guardar=0, $popup=""){
 		$toolbar= new toolbar(); 
		//$toolbar->botao("Novo");
		if ($guardar) {
			$toolbar->botao("Guardar_Sair", 110);
			$toolbar->botao("Guardar", 80);
		}
		if(!$popup){
			$toolbar->botao($botao,90);
			$toolbar->botao_l("Fechar",90);
		}else {
			$toolbar->botao($botao,90);
			$toolbar->botao("Fechar",90);
		}
		
		$toolbar->fim();
    }
    
///////////////campos ////////////////////////

/*
 * campo para fazer upload de imagem 
 */

    function campoImagem($titulo, $nome, $lar, $alt, $path="", $obrigatorio=""){
    		$rand=rand();
    			
				if ($path==""){
					$db= new dbElemento;
					$temp=$db->getLinha("imagemCategoria", $this->req['idCat']);
					//$path="../netimages/image/" . $temp['categoria'] ."/";
					$path="../netimages/image/";
				}
	?>
				<p class="divimagem1"><label for="<?=$nome?>"><?=$titulo?></label>
			<INPUT class="<?=$obrigatorio?>" NAME="<?=$nome?>" TYPE="file" size="47"><br>
    			<?php if ( ($this->dados[$nome]) && (file_exists( $path .$this->dados[$nome]))) { ?>
    			<img id="<?=$nome?>" src="<?php echo $path . $this->dados[$nome] . "?rand=$rand" ?>" border="0">
    			<br />(<? echo $this->dados[$nome] ?>)<br>
				<input type="hidden" name="<?=$nome?>_old" value="<?= $this->dados[$nome]?>">
    			<?php } ?>
				<input type="hidden" name="<?=$nome?>_lar" value="<?=$lar ?>">
				<input type="hidden" name="<?=$nome?>_alt" value="<?=$alt ?>">
    		</p>

    <?
  }  /// por aqui para ir buscar imagens de outras galerias

 /*
 * campo para escolher imagem de repositorio e fazer copia redimensionada
 */
  
    function campoImagem2($titulo, $nome, $lar, $alt, $obrigatorio=""){
    ?>
			<p class="divimagem2_<?=$nome?>"><label for="<?=$nome?>"><?=$titulo?></label>
    			<INPUT class="<?=$obrigatorio?>" NAME="<?=$nome?>" TYPE="text" size="47">
    			<INPUT NAME="botao" TYPE="button" size="47" value="escolher..." onclick="open_pop('imagem', '<?=$nome?>')">
    			&nbsp;&nbsp; jpg - (<?= "$lar x $alt" ?>)
    			<?php if ( ($this->dados[$nome]) && (file_exists( "../".$this->dados[$nome]))) { ?>
    			<br /><img id="<?=$nome?>" src="<?php echo "../". $this->dados[$nome] ?>" border="0" />
				&nbsp;&nbsp;apagar ?&nbsp;<input type="checkbox" name="<?=$nome?>_apagar" value="1"><br />
    			<!--<br />(<?// echo $this->dados[$nome] ?>) <br>-->
    			<input type="hidden" name="<?=$nome?>_old" value="<?=$this->dados[$nome]?>">
    			<?php } ?>
				<input type="hidden" name="<?=$nome?>_lar" value="<?=$lar ?>">
				<input type="hidden" name="<?=$nome?>_alt" value="<?=$alt ?>">
			</p>
			<? $nomealt = ($nome == 'imagem') ? 'alt' : $nome . 'alt'?>
			<p class="divimagem2_<?=$nome?>"><label for="<?=$nomealt ?>">"Alt" da Imagem</label>
				<input type="text" name="<?=$nomealt ?>" id="<?=$nomealt ?>"  size="47"  class="campo" value="<?=$this->dados[$nomealt] ?>">
    		</p>
    <?
  }  /// por aqui para ir buscar imagens de outras galerias
  
  
  	function campoImagem3($titulo, $nome, $lar, $alt, $path="", $obrigatorio=""){
	?>
		<p><label for="cusar_<?=$nome?>">Repositório Imagens</label>	
			<INPUT NAME="cusar_<?=$nome?>" class="cusar_<?=$nome?>" id="cusar_<?=$nome?>_2" TYPE="radio" value="2"><span class="txtcusar_<?=$nome?>" >Usar repositorio</span>
			<INPUT NAME="cusar_<?=$nome?>" class="cusar_<?=$nome?>" id="cusar_<?=$nome?>_1" TYPE="radio" value="1" checked="checked"><span class="txtcusar_<?=$nome?>" >Não usar repositorio</span>
		</p>
		<script>
		$('.divimagem2_<?=$nome?>').hide();
		$('.cusar_<?=$nome?>').click( function(){
			if ($('#cusar_<?=$nome?>_1').is(':checked')){
				$('.divimagem2_<?=$nome?>').hide();
				$('.divimagem1_<?=$nome?>').show();
			} else {
				$('.divimagem2_<?=$nome?>').show();
				$('.divimagem1_<?=$nome?>').hide();
			}
		}

		</script>
	<?
	self::campoImagem($titulo, $nome, $lar, $alt, $path, $obrigatorio);
	self::campoImagem2($titulo, $nome, $lar, $alt, $obrigatorio);
	}

    function campoFicheiro($titulo, $nome, $obrigatorio=""){
    
					$meio="file";
					$db= new dbElemento;
					$temp=$db->getLinha("ficheiroCategoria", $this->req['idCat']);
					//print_rr($temp);print "<br><br>";
					//$path="../netimages/". $meio. "/" . $temp['categoria'] ."/";
					$path="../netimages/". $meio. "/";
	?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
    			<INPUT class="<?=$obrigatorio?>" NAME="<?=$nome?>" TYPE="file" size="47"><br>
    			<?php if ( ($this->dados[$nome]) && (file_exists( $path .$this->dados[$nome]))) { ?>
    			<br /><a href="<?= $path. $this->dados[$nome] ?>"><?= $path . $this->dados[$nome] ?></a>
				<input type="hidden" name="<?=$nome?>_old" value="<?= $this->dados[$nome]?>"> 	
    			<?php } ?>
    		</p>
    <?
  }  

    function campoFicheiro2($titulo, $nome, $obrigatorio=""){
    ?>
			<p><label for="<?=$nome?>"><?=$titulo?></label>
    			<INPUT class="<?=$obrigatorio?>" NAME="<?=$nome?>" TYPE="text" size="47">
    			<INPUT NAME="botao" TYPE="button" size="47" value="escolher..." onclick="open_pop('ficheiro', '<?= $nome?>')">
    			<?php if ( ($this->dados[$nome]) && (file_exists( "../".$this->dados[$nome]))) { ?>
    			<br /><a href="<?= "../". $this->dados[$nome] ?>"><?= "../". $this->dados[$nome] ?></a> 			
    			apagar ?&nbsp;<input type="checkbox" name="<?=$nome?>_apagar" value="1">
    			<input type="hidden" name="<?=$nome?>_old" value="<?=$this->dados[$nome]?>">
    			<?php } ?>
    		</p>
    <?
  	}  
  	
  	function campoGrafico2($titulo, $nome, $obrigatorio=""){
    ?>
			<p><label for="<?=$nome?>"><?=$titulo?></label>
				<INPUT class="<?=$obrigatorio?>" NAME="<?=$nome?>"  id="<?=$nome?>" value="<?=$this->dados[$nome] ?>" TYPE="text" size="47">
    			<INPUT NAME="botao" TYPE="button" size="47" value="escolher graficos" onclick="open_pop('grafico','<?= $nome?>' )">
    		</p>
    <?
  	} 
  	 
  	function campoGrafico2_OLOLLLLLLLLLLLLLLLLLLLLLLLLL($titulo, $nome){
    ?>
			<p><label for="<?=$nome?>"><?=$titulo?></label>
				<textarea cols="60" rows="2" class="campo" name="<?=$nome?>"><?=$this->dados[$nome] ?></textarea></p>
    			<INPUT NAME="botao" TYPE="button" size="47" value="ver galeria" onclick="open_pop('grafico','<?= $nome?>' )">
    			<?php if ( ($this->dados[$nome]) && (file_exists( "../".$this->dados[$nome]))) { ?>
    			<a href="<?= "../". $this->dados[$nome] ?>"><?= "../". $this->dados[$nome] ?></a> 			
    			apagar ?&nbsp;<input type="checkbox" name="<?=$nome?>_apagar" value="1">
    			<input type="hidden" name="<?=$nome?>_old" value="<?=$this->dados[$nome]?>">
    			<?php } ?>
    		</p>
    <?
  	}   	
  	function campoRelacao2($titulo, $nome){
    ?>
			<p><label for="relacao<?=$nome?>"><?=$titulo?></label>
    			<INPUT id="relacao<?=$nome?>" NAME="relacao<?=$nome?>" value="<?=$this->dados['relacao' . $nome]?$this->dados['relacao' . $nome]:"" ?>" TYPE="text" size="47">
    			<INPUT id="botaoR<?=$nome?>" NAME="botaoR<?=$nome?>" TYPE="button" size="47" value="escolher artigo" onclick="open_popupr('relacao<?=$nome?>')">
				<div style="padding-left:180px" id="rel<?=$nome?>"></div>
    		</p>
    <?
  	}
  	
  	function campoRelacaoRevista($titulo, $nome, $numero){
    ?>
			<p><label for="relacao<?=$nome?>"><?=$titulo?></label>
    			<INPUT id="relacao<?=$nome?>" NAME="relacao<?=$nome?>" value="<?=$this->dados['relacao' . $nome]?$this->dados['relacao' . $nome]:"" ?>" TYPE="text" size="47">
    			<INPUT id="botaoR<?=$nome?>" NAME="botaoR<?=$nome?>" TYPE="button" size="47" value="escolher artigo" onclick="open_popupr('relacao<?=$nome?>')">
				<div style="padding-left:180px" id="rel<?=$nome?>"></div>
    		</p>
    <?
  	}
  	
  	function campoArtigoComposto(){
    ?>
			<p><label for="composto">Artigo Composto</label>
    			<INPUT id="composto" NAME="composto" value="<?=$this->dados['idComposto']?$this->dados['idComposto']:"" ?>" TYPE="text" size="47">
    			<INPUT id="botaocomposto" NAME="botaocomposto" TYPE="button" size="47" value="escolher artigo composto" onclick="open_pop('artigoComposto', 'composto')">
				<div style="padding-left:180px" id="rel<?=$nome?>"></div>
    		</p>
    <?
  	}  

  function campoData($titulo, $nome, $obrigatorio=""){
    ?><p><label for="<?=$nome?>"><?=$titulo?></label><?
    $data=$this->dados[$nome]?$this->dados[$nome]:strftime('%Y-%m-%d', strtotime('now'));
    
    include_once ('include/jscalendar/calendar.php');
    $calendar = new DHTML_Calendar('include/jscalendar/', 'pt', 'calendar-system', true);
    $calendar->load_files();
    $calendar->make_input_field(
           // calendar options go here; see the documentation and/or calendar-setup.js
           array('firstDay'       => 0, // show Monday first nao
                 'showsTime'      => false,
                 'showOthers'     => true,
                 'ifFormat'       => '%Y-%m-%d',
                 'timeFormat'     => '24'),
           // field attributes go here
           array('style'       => '',
                 'name'        => $nome,
                 'value'       => $data));
    ?></p><?
    }
    
  function campoData2($titulo, $nome, $obrigatorio=""){
   		$data=$this->dados[$nome] ? $this->dados[$nome] : strftime('%Y-%m-%d', strtotime('now'));
  ?>
  	<link href="js/datePicker.css" rel="stylesheet" type="text/css"/>
    <script type="text/javascript" src="js/date.js"></script>
    <script type="text/javascript" src="js/jquery.datePicker.js"></script>
	<script type="text/javascript">
		$(document).ready(function(){
			$('.data').datePicker({startDate: '1900-01-01'}); 
		});
	</script>
	<p class="clearfix">
		<label for="<?=$nome?>"><?=$titulo?></label>
		<input style="margin-left: 5px" name="<?=$nome?>" value="<?=$data?>" type="text" class="data <?=$obrigatorio?>">			
	</p>    
  <?}
	
	function campoDataHora($titulo, $nome, $obrigatorio=""){
    ?><p><label for="<?=$nome?>"><?=$titulo?></label><?
    $data=$this->dados[$nome]?$this->dados[$nome]:strftime('%Y-%m-%d %H:%M', strtotime('now'));
    
    include_once ('include/jscalendar/calendar.php');
    $calendar = new DHTML_Calendar('include/jscalendar/', 'pt', 'calendar-system', true);
    $calendar->load_files();
    $calendar->make_input_field(
           // calendar options go here; see the documentation and/or calendar-setup.js
           array('firstDay'       => 0, // show Monday first nao
                 'showsTime'      => true,
                 'showOthers'     => true,
                 'ifFormat'       => '%Y-%m-%d %H:%M',
                 'timeFormat'     => '24'),
           // field attributes go here
           array('style'       => '',
                 'name'        => $nome,
                 'value'       => $datahora));
    ?></p><?
    }

    function poe_dois_pontos($texto){
    	$replace=array('src="../netimages', 'href="../netimages');
    	$find=array('src="netimages', 'href="netimages');
    	return str_replace($find, $replace, $texto);
    }


    
    function campoHTML($titulo, $nome, $obrigatorio=""){
    	    	
    	$this->dados[$nome]=$this->poe_dois_pontos($this->dados[$nome]);
      ?>
       <label for="<?=$nome?>"><?=$titulo?></label><br><br>
      <div style="padding-left:20px">
                <textarea name="<?=$nome ?>" class="editor <?=$obrigatorio?>" cols="50" rows="6"><?=$this->dados[$nome];?></textarea> 
				<script> 
				$(document).ready(function(){ 
					$('textarea.editor').ckeditor({
						toolbar:'Cms',
						/*contentsCss : 'editor.css',*/
						width:680,
						height: 300
					});					 
				}); 
				</script>
        </div>
        <?
    }
    
    function campoHTMLRevista($titulo, $nome, $obrigatorio=""){
    	    	
    	$this->dados[$nome]=$this->poe_dois_pontos($this->dados[$nome]);
      ?>
       <label for="<?=$nome?>"><?=$titulo?></label><br><br>
      <div style="padding-left:20px">
                <textarea name="<?=$nome ?>" class="editor <?=$obrigatorio?>" cols="50" rows="6"><?=$this->dados[$nome];?></textarea> 
				<script> 
				$(document).ready(function(){ 
					$('textarea.editor').ckeditor({
						toolbar:'CR',
						/*contentsCss : 'editor.css',*/
						width:680,
						height: 600
					});
					 
				}); 
				</script>
        </div>
        <?
    }

    
    function campoHTMLmini($titulo, $nome, $obrigatorio=""){
      ?>
      <div style="padding-left:18px">
                <textarea name="<?=$nome ?>" class="editor <?=$obrigatorio?>" cols="50" rows="6"><?=$this->dados[$nome];?></textarea> 
				<script> 
				$(function(){ 
					$('textarea.editor').ckeditor({
						width:400,
						height: 300 
					}); 
				}); 
				</script>
        </div>
        <?
    }
    
	function campoBotao($titulo, $funcao, $dados){
	?>
<p><label for="<?=$nome?>"><?=$titulo?></label>
    	    <input name="<?=$nome?>" type="button" value="<?=$titulo?>" onclick="<?=$funcao?>()">
            </p>

    <?
    }
    
	function campoBotao2($titulo, $cmd){
	?>
		<p>	
			<label for="<?=$titulo?>"><?=$titulo?></label>
    	    <input type="submit" name="cmd" id="<?=$cmd?>" value="<?=$cmd?>">
           </p>

    <?
    }
    
	function campoBotao3($titulo, $cmd){
	?>
		<p>	
			<label>Preview</label>
    	    <input type="submit" name="cmdp" id="<?=$cmd?>" value="<?=$cmd?>">
			<span style="color: black;">&nbsp;&nbsp;<?=$titulo?></span>
        </p>
    <?
    }
    
	function campoBotaoPreview($titulo, $linkPreview){
	?>
		<p>	
			<label>Preview</label>
<!--    	    <input type="submit" class="btn_preview" name="cmdp" id="preview" value="preview">-->
			<input type="submit" name="cmdp" value="preview" class="btn_guardar" id="preview">
			<span style="color: black;">&nbsp;&nbsp;<?=$titulo?></span>
			<input type="hidden" name="linkPreview" id="linkPreview" value="<?=$linkPreview?>">
        </p>
    <?
    }

	function separador_old(){
	?>
    	<tr>
    	    <td colspan="2" ><br /><div class="separador"><!-- sep --></div></td>
    	</tr>
    <?
    }
    
	function separador(){ ?><hr /><? }

    function campoCp($titulo, $nome, $n=3){
    ?>
		<p><label for="<?=$nome?>"><?=$titulo?></label>
		<?if($n== 3){ ?>
			<input type="text" name="cp1" class="campo" size="4" style="width:70px" value="<?=$this->dados['cp1'] ?>">-
			<input type="text" name="cp2" class="campo" size="3" style="width:60px" value="<?=$this->dados['cp2'] ?>">-
			<input type="text" name="cp3" class="campo"   style="width:365px" value="<?=$this->dados['cp3'] ?>">
		<?} else if($n == 2){?>
			<input maxlength="4" type="text" name="cp1" class="campo" size="4" style="width:70px" value="<?=$this->dados['cp1'] ?>"> -
			<input maxlength="3" type="text" name="cp2" class="campo" size="3" style="width:60px" value="<?=$this->dados['cp2'] ?>">
		<?} ?>
		</p>
    <?
    }
    
    function campoDois($titulo, $nome1, $nome2){ ?>
    	<p><label for="<?=$nome1?>"><?=$titulo?></label>
    	<input type="text" name="<?=$nome1?>" class="campo" style="width:100px" value="<?=$this->dados[$nome1] ?>">
    	<span id="ajusteDois" style="display:none">:
    	<input type="text" name="<?=$nome2?>" class="campo" style="width:100px" value="<?=$this->dados[$nome2] ?>"></span></p>
    <? }
    
    function cotacoes($tabledata=array(), $nome="tabela", $titulo=true){
    ?>
		<table>
		<? 
		if ($titulo)$b=0; else $b=1;
		for ($i=$b;$i<=20; $i++){ ?>
		<?if (!$i)echo "<tr><td>Titulo:</td></tr>"; ?>
		<?if ($i==1)echo "<tr><td>[Acção, Valor, Link]</td></tr>"; ?>
		<tr><td>
		<input type="text" name="<?=$nome ?>_nome<?=$i ?>" class="campo" size="4"   style="width:200px" value="<?=$tabledata[ $i]['nome'] ?>">
		<input type="text" name="<?=$nome ?>_valor<?=$i ?>" class="campo" size="4"   style="width:200px" value="<?=$tabledata[ $i ]['valor'] ?>">
		<?if (!$i) { echo " " ; 
		} else {?>
		<input type="text" name="<?=$nome ?>_link<?=$i ?>" class="campo" size="4"   style="width:300px" value="<?=$tabledata[ $i]['link'] ?>">
		<? } ?>
		</td></tr>
		<?//if (!$i)echo "<tr><td>&nbsp;</td></tr>"; ?>
		<? } ?>
		<? if ($titulo){ ?>
		<tr><td>
		Comentário:<br/>
		<textarea cols="40" rows="2" class="campo" name="<?=$nome ?>_valor<?=$i ?>"><?=$tabledata[ 21 ]['valor']  ?></textarea>
		</td></tr>
		<? } ?>
		</table>
    <?
    }
	
	function campoCodigo(){	
		include("config/config.inc.php");
		$cod=explode("-", $this->dados['codigo']); 
    ?>
    	<p><label for="<?=$nome?>">Código Cliente</label>
		<?=$precode?><input type="text" name="cod[0]" class="campo" size="4"  style="width:40px" value="<?=$cod[0] ?>">-<input type="text" name="cod[1]" class="campo" size="4"  style="width:40px" value="<?=$cod[1] ?>">-<input type="text" name="cod[2]" class="campo" size="4"  style="width:40px" value="<?=$cod[2] ?>">-<input type="text" name="cod[3]" class="campo" size="4"  style="width:40px" value="<?=$cod[3] ?>">-<input type="text" name="cod[4]" class="campo" size="4"  style="width:40px" value="<?=$cod[4] ?>">
			</p>
    <?
    }

    //selecionar
    //selecionar multiplo
    
    function botoesFim($botao="Guardar"){
      ?>
        <tr>
<!--		    <td>&nbsp;</td>-->
			<td>
			<? if ($this->dados['id']){ print '<input type="hidden" name="id" value="'. $this->dados['id'] . '">';} ?>
			<br/>
			&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<input type="submit" name="cmd" value="<?=$botao?>" class="btn_guardar" id="guardar_teste">
			<input type="reset" value="Reset">
			<input type="button" value="Fechar" class="btn_cancelar">
			
			</td>
        </tr>
      <?
    }
    
    ////////////////////////////////////////
    function tabs($t){ ?>
    <script type="text/javascript">
    $(document).ready(function(){
    	$('#tabs > ul').tabs();
    });
    </script>
    	<div id="tabs">
            <ul>
			<? foreach ($t as $key => $value) { ?>
                <li><a href="#<?= $key ?>"><span><?= $value ?></span></a></li>
			<? } ?>
            </ul>
            <div id="<?= "artigo" ?>">
	<? }
	
	function newTab($tab) { ?>
            </div>
            <div id="<?= $tab ?>"> 
	<? }
	
	function lastTab() { ?> 
       		</div>
        </div>
	<? }

}
?>
